%define name		fop
%define	version		0.20.3
%define release		1jpp
%define summary		XSL-driven print formatter
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	Apache License
Group: 		Development/Java
Source:		%{name}-%{version}-src.tar.gz
Url: 		http://xml.apache.org/fop
Requires:	avalon-logkit
BuildRequires:	ant
BuildRequires:	xalan-j2 >= 2.2.0
BuildRequires:	batik
BuildRequires:	avalon-logkit
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Vendor:		JPackage project

%description
FOP is the world's first print formatter driven by XSL formatting
objects. It is a Java application that reads a formatting object tree
and then turns it into a PDF document. The formatting object tree, can
be in the form of an XML document (output by an XSLT engine like XT or
Xalan) or can be passed in memory as a DOM Document or (in the case of
XT) SAX events. 

%package javadoc
Summary:	Javadoc for %{name}
Group:  	Development/Java

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{version}
# remove all binary libs
find lib -name "*.jar" -exec rm {} \;

%build
export CLASSPATH=\
%{javadir}/xml-commons-apis.jar:\
%{javadir}/xalan-j2.jar:\
%{javadir}/avalon-framework.jar:\
%{javadir}/avalon-logkit.jar:\
%{javadir}/batik/awt-util.jar:\
%{javadir}/batik/bridge.jar:\
%{javadir}/batik/css.jar:\
%{javadir}/batik/dom.jar:\
%{javadir}/batik/ext.jar:\
%{javadir}/batik/gvt.jar:\
%{javadir}/batik/parser.jar:\
%{javadir}/batik/transcoder.jar:\
%{javadir}/batik/util.jar:\
%{javadir}/batik/svg-dom.jar
USE_JIKES=false ant -buildfile buildtools.xml buildtools

export CLASSPATH=\
$CLASSPATH:\
lib/buildtools.jar
USE_JIKES=false ant package
USE_JIKES=false ant javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr hyph $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr conf $RPM_BUILD_ROOT%{_datadir}/%{name}
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README STATUS
%{javadir}/*
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.3-1jpp 
- 0.20.3 final
- fixed missing symlink

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.3-0.rc.1jpp
- 0.20.3rc
- first unified release
- javadoc into javadoc package
- no dependencies for manual package
- s/jPackage/JPackage
- adaptation to new xalan-j2 package
- requires and buildrequires avalon-logkit

* Thu Aug 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.1-1mdk
- first release
